kr.co.hanwha.hifive.util

## Class HFStringUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFStringUtil

    public class HFStringUtil
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 22..

### Constructor Summary

Constructors
Constructor and Description
`HFStringUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String[]` `extractLinks(java.lang.String text)`
`static java.lang.String` `getDisplayClosedDateTaskDetail(android.content.Context context, java.lang.String updated_at)` TASK 완료일 화면 표시
`static java.lang.String` `getDisplayDueDateAddTask(java.lang.String dueTime)`
`static java.lang.String` `getDisplayDueDateTaskDetail(java.lang.String create_at, java.lang.String dueTime)` TASK 기한설정 화면 표시
`static java.lang.String` `getDisplayWeekLoop(android.content.Context context, java.lang.String weekLoop)` TASK 반복설정 화면 표시

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HFStringUtil

    public HFStringUtil()

### Method Detail

#### getDisplayDueDateTaskDetail

    public static java.lang.String getDisplayDueDateTaskDetail(@NonNull
                                                               java.lang.String create_at,
                                                               @NonNull
                                                               java.lang.String dueTime)

TASK 기한설정 화면 표시

Parameters:
  `dueTime` - yyyy-MM-dd
Returns:
  Display String

#### getDisplayClosedDateTaskDetail

    public static java.lang.String getDisplayClosedDateTaskDetail(@NonNull
                                                                  android.content.Context context,
                                                                  @NonNull
                                                                  java.lang.String updated_at)

TASK 완료일 화면 표시

Parameters:
  `context` - Context
  `updated_at` - yyyy-MM-dd
Returns:
  Display String

#### getDisplayWeekLoop

    public static java.lang.String getDisplayWeekLoop(@NonNull
                                                      android.content.Context context,
                                                      @NonNull
                                                      java.lang.String weekLoop)

TASK 반복설정 화면 표시

Parameters:
  `context` - Context
  `weekLoop` - Bit 00000
Returns:
  Display String

#### extractLinks

    public static java.lang.String[] extractLinks(java.lang.String text)
                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getDisplayDueDateAddTask

    public static java.lang.String getDisplayDueDateAddTask(@NonNull
                                                            java.lang.String dueTime)